diff --git a/drupal7/sites/all/modules/media/includes/media.admin.inc b/drupal7/sites/all/modules/media/includes/media.admin.inc
index c0288a23..9cc9fa14 100644
--- a/drupal7/sites/all/modules/media/includes/media.admin.inc
+++ b/drupal7/sites/all/modules/media/includes/media.admin.inc
@@ -2,243 +2,135 @@
 
 /**
  * @file
- * This file contains the admin functions for the Media module.
+ * Administration page callbacks for the Media module.
  */
 
 /**
- * Include media.pages.inc since it has some form definitions we will use.
- */
-require_once dirname(__FILE__) . '/media.pages.inc';
-
-/**
- * Form callback for mass import.
- */
-function media_import($form, &$form_state) {
-  if (!isset($form_state['storage']['files'])) {
-    $form_state['storage']['step'] = 'choose';
-    $form_state['storage']['next_step'] = 'preview';
-    $form['directory'] = array(
-      '#type' => 'textfield',
-      '#title' => t('Directory'),
-      '#description' => t('Enter the absolute directory on the web server to look for files. Subdirectories inside this directory will not be scanned.'),
-      '#required' => TRUE,
-    );
-
-    $form['pattern'] = array(
-      '#type' => 'textarea',
-      '#title' => t('Pattern'),
-      '#description' => t("Only files matching these patterns will be imported. Enter one pattern per line. The '*' character is a wildcard. Example patterns are %png_example to import all PNG files.", array('%png_example' => '*.png')),
-      '#default_value' => '*',
-      '#required' => TRUE,
-    );
-
-    $form['actions'] = array('#type' => 'actions');
-    $form['actions']['submit'] = array(
-      '#type' => 'submit',
-      '#value' => t('Preview'),
-    );
-    $form['actions']['cancel'] = array(
-      '#type' => 'link',
-      '#title' => t('Cancel'),
-      '#href' => isset($_GET['destination']) ? $_GET['destination'] : 'admin/content/file',
-    );
-  }
-  else {
-    $form['preview'] = array(
-      '#markup' => theme('item_list', array('items' => $form_state['storage']['files'])),
-    );
-
-    $form = confirm_form($form, t('Import these files?'), 'admin/content/file/import');
-  }
-  return $form;
-
-}
-
-/**
- * Validate handler for media_import().
- */
-function media_import_validate($form, &$form_state) {
-  if ($form_state['values']['op'] != t('Confirm')) {
-    $directory = $form_state['values']['directory'];
-    $pattern = $form_state['values']['pattern'];
-    if (!is_dir($directory)) {
-      form_set_error('directory', t('The provided directory does not exist.'));
-    }
-    if (!is_readable($directory)) {
-      form_set_error('directory', t('The provided directory is not readable.'));
-    }
-
-    $pattern_quoted = preg_quote($pattern, '/');
-    $pattern_quoted = preg_replace('/(\r\n?|\n)/', '|', $pattern_quoted);
-    $pattern_quoted = strtr($pattern_quoted, array(
-      '\\|' => '|',
-      '\\*' => '.*',
-      '\\?' => '.?',
-    ));
-    $files = file_scan_directory($directory, '/^(' . $pattern_quoted . ')$/', array('recurse' => FALSE));
-    $files = array_keys($files);
-    if (empty($files)) {
-      form_set_error('pattern', t('No files were found in %directory matching the regular expression %pattern', array('%directory' => $directory, '%pattern' => $pattern_quoted)));
-    }
-    $form_state['storage']['files'] = $files;
-  }
-}
-
-/**
- * Submit handler for media_import().
- */
-function media_import_submit($form, &$form_state) {
-  if ($form_state['values']['op'] == t('Confirm')) {
-    $files = $form_state['storage']['files'];
-    $batch = array(
-      'title' => t('Importing'),
-      'operations' => array(
-        array('media_import_batch_import_files', array($files)),
-      ),
-      'finished' => 'media_import_batch_import_complete',
-      'file' => drupal_get_path('module', 'media') . '/includes/media.admin.inc',
-    );
-    batch_set($batch);
-    return;
-
-  }
-  $form_state['rebuild'] = TRUE;
-}
-
-/**
- * BatchAPI callback op for media import.
- */
-function media_import_batch_import_files($files, &$context) {
-  if (!isset($context['sandbox']['files'])) {
-    // This runs the first time the batch runs.
-    // This is stupid, but otherwise, I don't think it will work...
-    $context['results'] = array('success' => array(), 'errors' => array());
-    $context['sandbox']['max'] = count($files);
-    $context['sandbox']['files'] = $files;
-  }
-  $files =& $context['sandbox']['files'];
-
-  // Take a cut of files.  Let's do 10 at a time.
-  $import_batch_size = variable_get('media__import_batch_size', 20);
-  $length = (count($files) > $import_batch_size) ? $import_batch_size : count($files);
-  $to_process = array_splice($files, 0, $length);
-  $image_in_message = '';
-
-  foreach ($to_process as $file) {
-    try {
-      $file_obj = media_parse_to_file($file);
-      $context['results']['success'][] = $file;
-      if (!$image_in_message) {
-        // @todo Is this load step really necessary? When there's time, test
-        //   this, and either remove it, or comment why it's needed.
-        $loaded_file = file_load($file_obj->fid);
-        $image_in_message = file_view_file($loaded_file, 'preview');
-      }
-    }
-    catch (Exception $e) {
-      $context['results']['errors'][] = $file . " Reason: " . $e->getMessage();
-    }
-  }
-
-  $context['message'] = "Importing " . theme('item_list', array('items' => $to_process));
-  // Show the image that is being imported.
-  $context['message'] .= drupal_render($image_in_message);
-
-  $context['finished'] = ($context['sandbox']['max'] - count($files)) / $context['sandbox']['max'];
-}
-
-/**
- * BatchAPI complete callback for media import.
- */
-function media_import_batch_import_complete($success, $results, $operations) {
-  if ($results['errors']) {
-    drupal_set_message(theme('item_list', array('items' => $results['errors'])), 'error');
-  }
-  if ($results['success']) {
-    drupal_set_message(theme('item_list', array('items' => $results['success'])));
-  }
-}
-
-/**
- * Admin configruation form for media browser settings.
+ * Displays the media administration page.
  */
 function media_admin_config_browser($form, &$form_state) {
   $theme_options = array();
-  $theme_options[NULL] = 'Default administration theme';
+  $theme_options[NULL] = t('Default administration theme');
+
   foreach (list_themes() as $key => $theme) {
     if ($theme->status) {
       $theme_options[$key] = $theme->info['name'];
     }
   }
 
-  $form['media__dialog_theme'] = array(
+  $form['media_dialog_theme'] = array(
     '#type' => 'select',
     '#title' => t('Media browser theme'),
     '#options' => $theme_options,
-    '#description' => t("This theme will be used for all media related dialogs.
-      It can be different from your site's theme because many site themes do not
-      work well in the small windows which media uses."),
-    '#default_value' => variable_get('media__dialog_theme', ''),
+    '#description' => t("This theme will be used for all media related dialogs. It can be different from your site's theme because many site themes do not work well in the small windows which media uses."),
+    '#default_value' => variable_get('media_dialog_theme', ''),
   );
 
-  // Additional configuration if the WYSIWYG module is enabled.
-  $form['wysiwyg'] = array(
+  $form['array_filter'] = array(
+    '#type' => 'value',
+    '#value' => TRUE,
+  );
+
+  $form['mediapopup'] = array(
     '#type' => 'fieldset',
-    '#title' => t('WYSIWYG configuration'),
+    '#title' => t('Media Popup'),
     '#collapsible' => TRUE,
-    '#collapsed' => FALSE,
-    '#access' => module_exists('wysiwyg'),
+    '#collapsed' => TRUE,
   );
-  $plugins = media_get_browser_plugin_info();
-  $form['wysiwyg']['media__wysiwyg_browser_plugins'] = array(
-    '#type' => 'checkboxes',
-    '#title' => t('Enabled browser plugins'),
-    '#options' => array(),
-    '#required' => FALSE,
-    '#default_value' => variable_get('media__wysiwyg_browser_plugins', array()),
-    '#description' => t('If no plugins are selected, they will all be available.'),
+  $form['mediapopup']['media_dialogclass'] = array(
+    '#type' => 'textfield',
+    '#title' => t('Dialog Class'),
+    '#default_value' => variable_get('media_dialogclass', 'media-wrapper'),
+    '#description' => t('The class used to identify the popup wrapper element.'),
   );
-  foreach ($plugins as $key => $plugin) {
-    $form['wysiwyg']['media__wysiwyg_browser_plugins']['#options'][$key] = !empty($plugin['title']) ? $plugin['title'] : $key;
-  }
-  $form['wysiwyg']['media__wysiwyg_upload_directory'] = array(
+  $form['mediapopup']['media_modal'] = array(
+    '#type' => 'select',
+    '#title' => t('Modal'),
+    '#options' => array(
+      FALSE => t('False'),
+      TRUE => t('True'),
+    ),
+    '#default_value' => variable_get('media_modal', TRUE),
+    '#description' => t('Open as modal window.'),
+  );
+  $form['mediapopup']['media_draggable'] = array(
+    '#type' => 'select',
+    '#title' => t('Draggable'),
+    '#options' => array(
+      FALSE => t('False'),
+      TRUE => t('True'),
+    ),
+    '#default_value' => variable_get('media_draggable', FALSE),
+    '#description' => t('Draggable modal window.'),
+  );
+  $form['mediapopup']['media_resizable'] = array(
+    '#type' => 'select',
+    '#title' => t('Resizable'),
+    '#options' => array(
+      FALSE => t('False'),
+      TRUE => t('True'),
+    ),
+    '#default_value' => variable_get('media_resizable', FALSE),
+    '#description' => t('Resizable modal window.'),
+  );
+  $form['mediapopup']['media_minwidth'] = array(
     '#type' => 'textfield',
-    '#title' => t("File directory for uploaded media"),
-    '#default_value' => variable_get('media__wysiwyg_upload_directory', ''),
-    '#description' => t('Optional subdirectory within the upload destination where files will be stored. Do not include preceding or trailing slashes.'),
+    '#title' => t('Min Width'),
+    '#default_value' => variable_get('media_minwidth', 500),
+    '#description' => t('CSS property min-width.'),
   );
-
-  if (module_exists('token')) {
-    $form['wysiwyg']['media__wysiwyg_upload_directory']['#description'] .= t('This field supports tokens.');
-    $form['wysiwyg']['tokens'] = array(
-      '#theme' => 'token_tree',
-      '#dialog' => TRUE,
-    );
-  }
-
-  $form['wysiwyg']['media__wysiwyg_allowed_types'] = array(
-    '#type' => 'checkboxes',
-    '#title' => t('Allowed types in WYSIWYG'),
-    '#options' => file_entity_type_get_names(),
-    '#default_value' => variable_get('media__wysiwyg_allowed_types', array('audio', 'image', 'video', 'document')),
+  $form['mediapopup']['media_width'] = array(
+    '#type' => 'textfield',
+    '#title' => t('Width'),
+    '#default_value' => variable_get('media_width', 670),
+    '#description' => t('CSS property width.'),
+  );
+  $form['mediapopup']['media_height'] = array(
+    '#type' => 'textfield',
+    '#title' => t('Height'),
+    '#default_value' => variable_get('media_height', 280),
+    '#description' => t('CSS property height.'),
+  );
+  $form['mediapopup']['media_position'] = array(
+    '#type' => 'textfield',
+    '#title' => t('Position'),
+    '#default_value' => variable_get('media_position', 'center'),
+    '#description' => t('CSS property position.'),
+  );
+  $form['mediapopup']['media_zindex'] = array(
+    '#type' => 'textfield',
+    '#title' => t('Z-Index'),
+    '#default_value' => variable_get('media_zindex', 10000),
+    '#description' => t('CSS property z-index.'),
+  );
+  $form['mediapopup']['overlay'] = array(
+    '#type' => 'fieldset',
+    '#title' => t('Overlay'),
+  );
+  $form['mediapopup']['overlay']['media_backgroundcolor'] = array(
+    '#type' => 'textfield',
+    '#title' => t('Background Color'),
+    '#default_value' => variable_get('media_backgroundcolor', '#000000'),
+    '#description' => t('CSS property background-color; used with overlay.'),
+  );
+  $form['mediapopup']['overlay']['media_opacity'] = array(
+    '#type' => 'textfield',
+    '#title' => t('Opacity'),
+    '#default_value' => variable_get('media_opacity', 0.4),
+    '#description' => t('CSS property opacity; used with overlay.'),
   );
-  $form['array_filter'] = array('#type' => 'value', '#value' => TRUE);
 
   $form['#submit'][] = 'media_admin_config_browser_pre_submit';
+
   return system_settings_form($form);
 }
 
 /**
- * Manipulate values before form is submitted.
+ * Form submission handler for media_admin_config_browser().
  */
 function media_admin_config_browser_pre_submit(&$form, &$form_state) {
-  if (!$form_state['values']['media__dialog_theme']) {
-    variable_del('media__dialog_theme');
-    unset($form_state['values']['media__dialog_theme']);
-  }
-  $wysiwyg_browser_plugins = array_unique(array_values($form_state['values']['media__wysiwyg_browser_plugins']));
-  if (empty($wysiwyg_browser_plugins[0])) {
-    variable_del('media__wysiwyg_browser_plugins');
-    unset($form_state['values']['media__wysiwyg_browser_plugins']);
+  if (!$form_state['values']['media_dialog_theme']) {
+    variable_del('media_dialog_theme');
+    unset($form_state['values']['media_dialog_theme']);
   }
 }
diff --git a/drupal7/sites/all/modules/media/includes/media.browser.inc b/drupal7/sites/all/modules/media/includes/media.browser.inc
index 626fc006..d8037221 100644
--- a/drupal7/sites/all/modules/media/includes/media.browser.inc
+++ b/drupal7/sites/all/modules/media/includes/media.browser.inc
@@ -12,7 +12,7 @@ function media_browser($selected = NULL) {
   $output = array();
   $output['#attached']['library'][] = array('media', 'media_browser_page');
 
-  $params = media_set_browser_params();
+  $params = media_get_browser_params();
 
   // If one or more files have been selected, the browser interaction is now
   // complete. Return empty page content to the dialog which now needs to close,
@@ -77,8 +77,8 @@ function media_browser($selected = NULL) {
       continue;
     }
 
-    // We need to get a submit and cancel button on each tab. If the plugin
-    // is not returning a form element we need to add a submit button.
+    // We need to ensure that a submit button is available on each tab. If the
+    // plugin is not returning a form element we need to add a submit button.
     // This is a fairly broad assumption.
     if (empty($plugin_output[$key]['#form']) && !empty($plugin_output[$key]['#markup'])) {
       $fake_buttons = '<div class="form-actions form-wrapper">';
@@ -87,34 +87,9 @@ function media_browser($selected = NULL) {
           'class' => array('button', 'button-yes', 'fake-submit', $key),
         ),
       ));
-      $fake_buttons .= l(t('Cancel'), '', array(
-        'attributes' => array(
-          'class' => array('button', 'button-no', 'fake-cancel', $key),
-        ),
-      ));
       $fake_buttons .= '</div>';
       $plugin_output[$key]['#markup'] .= $fake_buttons;
     }
-
-    // I'm not sure if it is ever the case that a plugin form will ever have
-    // the correct cancel button so we add it here. Put it inline with the
-    // current submit button. This is a fairly broad assumption.
-    if (!empty($plugin_output[$key]['form']['actions']) && !isset($plugin_output[$key]['form']['actions']['cancel'])) {
-      $plugin_output[$key]['form']['actions']['cancel'] = array(
-        '#type' => 'link',
-        '#title' => t('Cancel'),
-        '#href' => '',
-        '#attributes' => array(
-          'class' => array(
-            'button',
-            'button-no',
-            'fake-cancel',
-            $key,
-          ),
-        ),
-        '#weight' => 100,
-      );
-    }
   }
 
   // Allow modules to change the tab names or whatever else they want to change
@@ -162,10 +137,6 @@ function media_browser($selected = NULL) {
 
   drupal_add_js($settings, 'setting');
 
-  $output['title'] = array(
-    '#markup' => t('Select a file')
-  );
-
   $output['tabset']['tabs'] = array(
     '#theme' => 'menu_local_tasks',
     '#attributes' => array('class' => array('tabs', 'primary')),
@@ -177,59 +148,6 @@ function media_browser($selected = NULL) {
   return $output;
 }
 
-/**
- * Provides a singleton of the params passed to the media browser.
- *
- * This is useful in situations like form alters because callers can pass
- * id="wysiywg_form" or whatever they want, and a form alter could pick this up.
- * We may want to change the hook_media_browser_plugin_view() implementations to
- * use this function instead of being passed params for consistency.
- *
- * It also offers a chance for some meddler to meddle with them.
- *
- * @see media_browser()
- */
-function media_set_browser_params() {
-  $params = &drupal_static(__FUNCTION__, array());
-
-  if (empty($params)) {
-    // Build out browser settings. Permissions- and security-related behaviors
-    // should not rely on these parameters, since they come from the HTTP query.
-    // @TODO make sure we treat parameters as user input.
-    $params = drupal_get_query_parameters() + array(
-      'types' => array(),
-      'multiselect' => FALSE,
-    );
-
-    // Transform text 'true' and 'false' to actual booleans.
-    foreach ($params as $k => $v) {
-      if ($v === 'true') {
-        $params[$k] = TRUE;
-      }
-      elseif ($v === 'false') {
-        $params[$k] = FALSE;
-      }
-    }
-
-    array_walk_recursive($params, 'media_recursive_check_plain');
-
-    // Allow modules to alter the parameters.
-    drupal_alter('media_browser_params', $params);
-  }
-
-  return $params;
-}
-
-
-/**
- * For sanity in grammar.
- *
- * @see media_set_browser_params()
- */
-function media_get_browser_params() {
-  return media_set_browser_params();
-}
-
 /**
  * Attaches media browser javascript to an element.
  *
@@ -251,27 +169,43 @@ function media_attach_browser_js(&$element) {
 function media_browser_js() {
   $settings = array(
     'browserUrl' => url('media/browser', array(
-        'query' => array('render' => 'media-popup'),
-      )
+      'query' => array(
+        'render' => 'media-popup'
+      ))
     ),
     'styleSelectorUrl' => url('media/-media_id-/format-form', array(
-        'query' => array('render' => 'media-popup'),
-      )
+      'query' => array(
+        'render' => 'media-popup'
+      ))
+    ),
+    'dialogOptions' => array(
+      'dialogclass' => variable_get('media_dialogclass', 'media-wrapper'),
+      'modal' => (boolean)variable_get('media_modal', TRUE),
+      'draggable' => (boolean)variable_get('media_draggable', FALSE),
+      'resizable' => (boolean)variable_get('media_resizable', FALSE),
+      'minwidth' => (int)variable_get('media_minwidth', 500),
+      'width' => (int)variable_get('media_width', 670),
+      'height' => (int)variable_get('media_height', 280),
+      'position' => variable_get('media_position', 'center'),
+      'overlay' => array(
+        'backgroundcolor' => variable_get('media_backgroundcolor', '#000000'),
+        'opacity' => (float)variable_get('media_opacity', 0.4),
+      ),
+      'zindex' => (int)variable_get('media_zindex', 10000),
     ),
   );
 
-  $js = array(
+  return array(
     'library' => array(
       array('media', 'media_browser'),
     ),
     'js' => array(
       array(
-        'data' => array('media' => $settings),
-        'type' => 'setting',
+       'data' => array('media' => $settings),
+       'type' => 'setting',
       ),
     ),
   );
-  return $js;
 }
 
 /**
